<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:09 CET 2009 -->
<TITLE>
Polco.ExitVal
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.polco.main.Polco.ExitVal class">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Polco.ExitVal";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Polco.ExitVal.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/main/Polco.html" title="class in ch.javasoft.polco.main"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/main/Polco.ExitVal.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Polco.ExitVal.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#enum_constant_summary">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#enum_constant_detail">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.polco.main</FONT>
<BR>
Enum Polco.ExitVal</H2>
<PRE>
<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">java.lang.Object</A>
  <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html" title="class or interface in java.lang">java.lang.Enum</A>&lt;<A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A>&gt;
      <IMG SRC="../../../../resources/inherit.gif" ALT="extended by "><B>ch.javasoft.polco.main.Polco.ExitVal</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&lt;<A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A>&gt;</DD>
</DL>
<DL>
<DT><B>Enclosing class:</B><DD><A HREF="../../../../ch/javasoft/polco/main/Polco.html" title="class in ch.javasoft.polco.main">Polco</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public static enum <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.html#line.72"><B>Polco.ExitVal</B></A><DT>extends <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A>&lt;<A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A>&gt;</DL>
</PRE>

<P>
<HR>

<P>
<!-- =========== ENUM CONSTANT SUMMARY =========== -->

<A NAME="enum_constant_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Enum Constant Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#ImpureHelpOrVersionInvocation">ImpureHelpOrVersionInvocation</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exit value for invocation with help or version option and invalid extra options</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#InvalidConfigArg">InvalidConfigArg</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exit value for missing or invalid input argument or option</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#InvalidConfigRef">InvalidConfigRef</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exit value for missing referable in config, e.g.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#NoArgs">NoArgs</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exit value for invocation without arguments</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#Ok">Ok</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exit value for normal termination</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#UnexpectedException">UnexpectedException</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exit value for occurrence of unexpected exception</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#Unknown">Unknown</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Exit value with unknown reason, should not happen</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;void</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#exit()">exit</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Calls <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/System.html#exit(int)" title="class or interface in java.lang"><CODE>System.exit(int)</CODE></A> with the 
 <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#getExitValue()"><CODE>exit value</CODE></A> associated with this constant.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#getExitValue()">getExitValue</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the exit value, equal to the negation of 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#ordinal()" title="class or interface in java.lang"><CODE>ordinal</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#valueOf(java.lang.String)">valueOf</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the enum constant of this type with the specified name.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A>[]</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#values()">values</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns an array containing the constants of this enum type, in
the order they're declared.</TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Enum"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html" title="class or interface in java.lang">Enum</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#clone()" title="class or interface in java.lang">clone</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#compareTo(E)" title="class or interface in java.lang">compareTo</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#equals(java.lang.Object)" title="class or interface in java.lang">equals</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#getDeclaringClass()" title="class or interface in java.lang">getDeclaringClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#hashCode()" title="class or interface in java.lang">hashCode</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#name()" title="class or interface in java.lang">name</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#ordinal()" title="class or interface in java.lang">ordinal</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#toString()" title="class or interface in java.lang">toString</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#valueOf(java.lang.Class, java.lang.String)" title="class or interface in java.lang">valueOf</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left"><B>Methods inherited from class java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang">Object</A></B></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#finalize()" title="class or interface in java.lang">finalize</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#getClass()" title="class or interface in java.lang">getClass</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notify()" title="class or interface in java.lang">notify</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#notifyAll()" title="class or interface in java.lang">notifyAll</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait()" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long)" title="class or interface in java.lang">wait</A>, <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html#wait(long, int)" title="class or interface in java.lang">wait</A></CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ ENUM CONSTANT DETAIL =========== -->

<A NAME="enum_constant_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Enum Constant Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="Ok"><!-- --></A><H3>
Ok</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A> <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.74"><B>Ok</B></A></PRE>
<DL>
<DD>Exit value for normal termination
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="NoArgs"><!-- --></A><H3>
NoArgs</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A> <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.76"><B>NoArgs</B></A></PRE>
<DL>
<DD>Exit value for invocation without arguments
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="ImpureHelpOrVersionInvocation"><!-- --></A><H3>
ImpureHelpOrVersionInvocation</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A> <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.78"><B>ImpureHelpOrVersionInvocation</B></A></PRE>
<DL>
<DD>Exit value for invocation with help or version option and invalid extra options
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="InvalidConfigArg"><!-- --></A><H3>
InvalidConfigArg</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A> <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.80"><B>InvalidConfigArg</B></A></PRE>
<DL>
<DD>Exit value for missing or invalid input argument or option
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="InvalidConfigRef"><!-- --></A><H3>
InvalidConfigRef</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A> <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.82"><B>InvalidConfigRef</B></A></PRE>
<DL>
<DD>Exit value for missing referable in config, e.g. no kind was specified
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="UnexpectedException"><!-- --></A><H3>
UnexpectedException</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A> <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.84"><B>UnexpectedException</B></A></PRE>
<DL>
<DD>Exit value for occurrence of unexpected exception
<P>
<DL>
</DL>
</DL>
<HR>

<A NAME="Unknown"><!-- --></A><H3>
Unknown</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A> <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.86"><B>Unknown</B></A></PRE>
<DL>
<DD>Exit value with unknown reason, should not happen
<P>
<DL>
</DL>
</DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="values()"><!-- --></A><H3>
values</H3>
<PRE>
public static final <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A>[] <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.72"><B>values</B></A>()</PRE>
<DL>
<DD>Returns an array containing the constants of this enum type, in
the order they're declared.  This method may be used to iterate
over the constants as follows:
<pre>
for(Polco.ExitVal c : Polco.ExitVal.values())
        System.out.println(c);
</pre>
<P>
<DD><DL>

<DT><B>Returns:</B><DD>an array containing the constants of this enum type, in
the order they're declared</DL>
</DD>
</DL>
<HR>

<A NAME="valueOf(java.lang.String)"><!-- --></A><H3>
valueOf</H3>
<PRE>
public static <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html" title="enum in ch.javasoft.polco.main">Polco.ExitVal</A> <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.72"><B>valueOf</B></A>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;name)</PRE>
<DL>
<DD>Returns the enum constant of this type with the specified name.
The string must match <I>exactly</I> an identifier used to declare an
enum constant in this type.  (Extraneous whitespace characters are 
not permitted.)
<P>
<DD><DL>
<DT><B>Parameters:</B><DD><CODE>name</CODE> - the name of the enum constant to be returned.
<DT><B>Returns:</B><DD>the enum constant with the specified name
<DT><B>Throws:</B>
<DD><CODE><A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/IllegalArgumentException.html" title="class or interface in java.lang">IllegalArgumentException</A></CODE> - if this enum type has no constant
with the specified name</DL>
</DD>
</DL>
<HR>

<A NAME="getExitValue()"><!-- --></A><H3>
getExitValue</H3>
<PRE>
public int <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.93"><B>getExitValue</B></A>()</PRE>
<DL>
<DD>Returns the exit value, equal to the negation of 
 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html#ordinal()" title="class or interface in java.lang"><CODE>ordinal</CODE></A>. Consequently, zero is returned for 
 <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#Ok"><CODE>Ok</CODE></A>, and a  small negative integer otherwise.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="exit()"><!-- --></A><H3>
exit</H3>
<PRE>
public void <A HREF="../../../../src-html/ch/javasoft/polco/main/Polco.ExitVal.html#line.101"><B>exit</B></A>()</PRE>
<DL>
<DD>Calls <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/System.html#exit(int)" title="class or interface in java.lang"><CODE>System.exit(int)</CODE></A> with the 
 <A HREF="../../../../ch/javasoft/polco/main/Polco.ExitVal.html#getExitValue()"><CODE>exit value</CODE></A> associated with this constant.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/Polco.ExitVal.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/polco/main/Polco.html" title="class in ch.javasoft.polco.main"><B>PREV CLASS</B></A>&nbsp;
&nbsp;NEXT CLASS</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/polco/main/Polco.ExitVal.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="Polco.ExitVal.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;<A HREF="#enum_constant_summary">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;<A HREF="#enum_constant_detail">ENUM CONSTANTS</A>&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
